

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Python programs and modules &mdash; pywws v12.10 documentation</title>
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '12.10',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="shortcut icon" href="../_static/pywws_logo.ico"/>
    <link rel="top" title="pywws v12.10 documentation" href="../index.html" />
    <link rel="next" title="Hourly" href="Hourly.html" />
    <link rel="prev" title="weather.ini - configuration file format" href="../guides/weather_ini.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="Hourly.html" title="Hourly"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="../guides/weather_ini.html" title="weather.ini - configuration file format"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="python-programs-and-modules">
<h1>Python programs and modules<a class="headerlink" href="#python-programs-and-modules" title="Permalink to this headline">¶</a></h1>
<p>Contents:</p>
<table border="1" class="docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr><td><a class="reference internal" href="Hourly.html#module-Hourly"><tt class="xref py py-obj docutils literal"><span class="pre">Hourly</span></tt></a></td>
<td>Get weather data, process it, prepare graphs &amp; text files and upload to a web site.</td>
</tr>
<tr><td><a class="reference internal" href="LiveLog.html#module-LiveLog"><tt class="xref py py-obj docutils literal"><span class="pre">LiveLog</span></tt></a></td>
<td>Get weather data, store it, and process it.</td>
</tr>
<tr><td><a class="reference internal" href="Reprocess.html#module-Reprocess"><tt class="xref py py-obj docutils literal"><span class="pre">Reprocess</span></tt></a></td>
<td>Regenerate hourly and daily summary data.</td>
</tr>
<tr><td><a class="reference internal" href="TwitterAuth.html#module-TwitterAuth"><tt class="xref py py-obj docutils literal"><span class="pre">TwitterAuth</span></tt></a></td>
<td>Authorise pywws to post to your Twitter account</td>
</tr>
<tr><td><a class="reference internal" href="SetWeatherStation.html#module-SetWeatherStation"><tt class="xref py py-obj docutils literal"><span class="pre">SetWeatherStation</span></tt></a></td>
<td>Set some weather station parameters.</td>
</tr>
<tr><td><a class="reference internal" href="TestWeatherStation.html#module-TestWeatherStation"><tt class="xref py py-obj docutils literal"><span class="pre">TestWeatherStation</span></tt></a></td>
<td>Test connection to weather station.</td>
</tr>
<tr><td><a class="reference internal" href="USBQualityTest.html#module-USBQualityTest"><tt class="xref py py-obj docutils literal"><span class="pre">USBQualityTest</span></tt></a></td>
<td>Test quality of USB connection to weather station</td>
</tr>
<tr><td><a class="reference internal" href="EWtoPy.html#module-EWtoPy"><tt class="xref py py-obj docutils literal"><span class="pre">EWtoPy</span></tt></a></td>
<td>Convert EasyWeather.dat data to pywws format.</td>
</tr>
<tr><td><a class="reference internal" href="pywws.Tasks.html#module-pywws.Tasks"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.Tasks</span></tt></a></td>
<td>Routines to perform common tasks such as plotting gaphs or uploading files.</td>
</tr>
<tr><td><a class="reference internal" href="pywws.LogData.html#module-pywws.LogData"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.LogData</span></tt></a></td>
<td>Save weather station history to file</td>
</tr>
<tr><td><a class="reference internal" href="pywws.Process.html#module-pywws.Process"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.Process</span></tt></a></td>
<td>Generate hourly, daily &amp; monthly summaries of raw weather station</td>
</tr>
<tr><td><a class="reference internal" href="pywws.calib.html#module-pywws.calib"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.calib</span></tt></a></td>
<td>Calibrate raw weather station data</td>
</tr>
<tr><td><a class="reference internal" href="pywws.Plot.html#module-pywws.Plot"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.Plot</span></tt></a></td>
<td>Plot graphs of weather data according to an XML recipe.</td>
</tr>
<tr><td><a class="reference internal" href="pywws.WindRose.html#module-pywws.WindRose"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.WindRose</span></tt></a></td>
<td>Plot a &#8220;wind rose&#8221;.</td>
</tr>
<tr><td><a class="reference internal" href="pywws.Template.html#module-pywws.Template"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.Template</span></tt></a></td>
<td>Create text data file based on a template.</td>
</tr>
<tr><td><a class="reference internal" href="pywws.Forecast.html#module-pywws.Forecast"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.Forecast</span></tt></a></td>
<td>Predict future weather using recent data.</td>
</tr>
<tr><td><a class="reference internal" href="pywws.ZambrettiCore.html#module-pywws.ZambrettiCore"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.ZambrettiCore</span></tt></a></td>
<td></td>
</tr>
<tr><td><a class="reference internal" href="pywws.Upload.html#module-pywws.Upload"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.Upload</span></tt></a></td>
<td>Upload files to a directory by ftp.</td>
</tr>
<tr><td><a class="reference internal" href="pywws.ToTwitter.html#module-pywws.ToTwitter"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.ToTwitter</span></tt></a></td>
<td>Post a message to Twitter</td>
</tr>
<tr><td><a class="reference internal" href="pywws.toservice.html#module-pywws.toservice"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.toservice</span></tt></a></td>
<td>Post weather update to services such as Weather Underground</td>
</tr>
<tr><td><a class="reference internal" href="pywws.YoWindow.html#module-pywws.YoWindow"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.YoWindow</span></tt></a></td>
<td>Generate YoWindow XML file.</td>
</tr>
<tr><td><a class="reference internal" href="pywws.WeatherStation.html#module-pywws.WeatherStation"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.WeatherStation</span></tt></a></td>
<td>Get data from WH1080/WH3080 compatible weather stations.</td>
</tr>
<tr><td><a class="reference internal" href="pywws.device_cython_hidapi.html#module-pywws.device_cython_hidapi"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.device_cython_hidapi</span></tt></a></td>
<td>Low level USB interface to weather station, using cython-hidapi.</td>
</tr>
<tr><td><a class="reference internal" href="pywws.device_pyusb.html#module-pywws.device_pyusb"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.device_pyusb</span></tt></a></td>
<td>Low level USB interface to weather station, using PyUSB.</td>
</tr>
<tr><td><a class="reference internal" href="pywws.DataStore.html#module-pywws.DataStore"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.DataStore</span></tt></a></td>
<td>DataStore.py - stores readings in easy to access files</td>
</tr>
<tr><td><a class="reference internal" href="pywws.TimeZone.html#module-pywws.TimeZone"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.TimeZone</span></tt></a></td>
<td>Provide a couple of datetime.tzinfo() objects representing local</td>
</tr>
<tr><td><a class="reference internal" href="pywws.Localisation.html#module-pywws.Localisation"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.Localisation</span></tt></a></td>
<td>Localisation.py - provide translations of strings into local</td>
</tr>
<tr><td><a class="reference internal" href="pywws.calib.html#module-pywws.calib"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.calib</span></tt></a></td>
<td>Calibrate raw weather station data</td>
</tr>
<tr><td><a class="reference internal" href="pywws.conversions.html#module-pywws.conversions"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.conversions</span></tt></a></td>
<td>conversions.py - a set of functions to convert pywws native units</td>
</tr>
<tr><td><a class="reference internal" href="pywws.Logger.html#module-pywws.Logger"><tt class="xref py py-obj docutils literal"><span class="pre">pywws.Logger</span></tt></a></td>
<td>Common code for logging info and errors.</td>
</tr>
</tbody>
</table>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="../guides/weather_ini.html"
                        title="previous chapter">weather.ini - configuration file format</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="Hourly.html"
                        title="next chapter">Hourly</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" size="18" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="Hourly.html" title="Hourly"
             >next</a> |</li>
        <li class="right" >
          <a href="../guides/weather_ini.html" title="weather.ini - configuration file format"
             >previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2009-12, Jim Easterbrook.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.1.
    </div>
  </body>
</html>